%define _python_version `python -c 'import sys;print sys.version[:3]'`
Summary: An arbitrary precision module for python. 
Name: real_accurate
Version: 0.2.0
Release: 1
License: Distributable
Group: Development/Languages
URL: ftp://ftp.python.org/pub/www.python.org/ftp/python/contrib-09-Dec-1999/DataStructures/
Source: real_accurate-0.2.0.tar.gz
Requires: python
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
real.py is a library that introduces a new class, called Real, of
arbitrarily precise numbers, allowing computations with "infinite"
precision.
Each number keeps an approximation of the accuracy of the number.
Routines are available to compute numbers with more and more digits.
real.py allows you to:
- compute with very high precision, e.g. 1000 digits
- compute with very large or small numbers, up to about 10**500000000
- compute without unexpected precision loss: all digits guaranteed
- compute with infinite precision, printing digits on the fly
- printing floating point numbers to their exact accuracy

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages
cp *.py $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.README
%{_libdir}/python*/site-packages/*.py

%changelog
* Wed Jul 13 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
- Note: the initial version of 0.2.0 is arbitrary, as the
- author could not contacted.
